#include <condefs.h>
#include <stdio.h>
#include "SymTable.h"
#include "Instruction.h"
#include "Assembler.h"
#pragma hdrstop

//---------------------------------------------------------------------------
USEUNIT("SymTable.cpp");
USEUNIT("Instruction.cpp");
USEUNIT("Assembler.cpp");
USEUNIT("ObjectFile.cpp");
USEFILE("AsmDefs.h");
USEUNIT("Preprocessor.cpp");
//---------------------------------------------------------------------------
#pragma argsused
int main(int argc, char* argv[])
{
  char c[256];
  int n;

  if (argc != 3)
    printf("usage: GBasm source.asm object.ogb\n");
  else
  {
    n = strrchr(argv[0], '\\') - argv[0] + 1;
    strncpy(c, argv[0], n);
    c[n] = '\0';
    strcat(c, "gbinstr.tab");
    assembler.Assemble(c, argv[1], argv[2], true);
  }

  return 0;
}
