//---------------------------------------------------------------------------
#ifndef PreprocessorH
#define PreprocessorH
//---------------------------------------------------------------------------

#include <stdio.h>
#include "AsmDefs.h"

class CPreprocessor
{
  public:
    CPreprocessor() {}
    ~CPreprocessor() {}
    bool Process(const char *fname, FILE *out, bool f);
    char *FileName(int l);
    int  LineNum(int l);

  private:
    void AddDef(char *n, char *d);
    void DeleteDef(char *n);
    bool DefExists(char *n);

    struct
    {
      int file,
          line;
    } _line[MAXLINES];

    struct
    {
      char name[MAXDEFI],
           def[MAXDEFDS];
    } _define[MAXDEFS];

    char _file[MAXFILES][256];
    int  _files,
         _lines,
         _defines;
};

#endif
