//---------------------------------------------------------------------------
#ifndef InstructionH
#define InstructionH
//---------------------------------------------------------------------------

#include "AsmDefs.h"

class CInstruction
{
  public:
    CInstruction();
    ~CInstruction() {};
    void LoadTable(const char *fname);
    int  GetSize(const char *c, char *e);
    int  WriteOpcode(char *o);

  private:
    int FindInstr(const char *c, char *e);

    enum {INSTRMAX = 600};
    struct _Instr
    {
      char instr[MAXLINE],
           args[MAXLINE];
      unsigned char opcode[MAXOPSIZE];
      int bytes,
          opsize,
          time;
    };

    struct _Instr _instr[INSTRMAX];
    int _instructions;
};

#endif
